Skip to main content
GET
/
deposits
List deposits for the authenticated client
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/deposit-processor/deposits \
  --header 'x-api-key: <x-api-key>'
{
  "deposits": [
    {
      "chain": "<string>",
      "txHash": "<string>",
      "token": "<string>",
      "amount": "1000000000000000000",
      "sender": "<string>",
      "account": "<string>",
      "targetChain": "<string>",
      "targetToken": "<string>",
      "status": "pending",
      "sourceTxHash": "<string>",
      "destinationTxHash": "<string>",
      "sourceAmount": "1000000000000000000",
      "destinationAmount": "1000000000000000000",
      "createdAt": "<string>",
      "completedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Headers

x-api-key
string
required

API key for authentication

Example:

"your-api-key"

Query Parameters

account
string

Ethereum address (0x followed by 40 hex characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"

status
enum<string>

Filter by deposit status

Available options:
pending,
processing,
completed,
failed
Example:

"failed"

chain
string

CAIP-2 chain identifier (e.g. "eip155:8453")

Pattern: ^[a-z0-9]+:[a-zA-Z0-9]+$
Example:

"eip155:8453"

limit
integer
default:20

Maximum number of deposits to return

Required range: 1 <= x <= 100
Example:

20

cursor
string

Pagination cursor. Use the nextCursor returned by the previous page.

Pattern: ^\d+$
Example:

"123"

Response

Client deposits

deposits
object[]
required
nextCursor
string | null
required